Package com.sap.ai.sdk.core.model

# Class RTAExecution

java.lang.Object
com.sap.ai.sdk.core.model.RTAExecution

public class RTAExecution extends Object
Execution

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `RTAExecution.Builder`
  Builder helper class.
  `static interface`
  `RTAExecution.Builder1`
  Builder helper class.
  `static interface`
  `RTAExecution.Builder2`
  Builder helper class.
  `static interface`
  `RTAExecution.Builder3`
  Builder helper class.
  `static enum`
  `RTAExecution.StatusEnum`
  Status of the execution

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RTAExecution()`
  Default constructor for RTAExecution.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTAExecution.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `RTAExecution` instance with all required arguments.
  `RTAExecution`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `RTAExecution` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `RTAExecution`
  `executableId(String executableId)`
  Set the executableId of this `RTAExecution` instance and return the same instance.
  `RTAExecution`
  `finishTimestamp(OffsetDateTime finishTimestamp)`
  Set the finishTimestamp of this `RTAExecution` instance and return the same instance.
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RTAExecution`.
  `String`
  `getExecutableId()`
  ID of the executable
  `OffsetDateTime`
  `getFinishTimestamp()`
  Timestamp of execution finish
  `String`
  `getId()`
  ID of the execution
  `OffsetDateTime`
  `getModifiedAt()`
  Timestamp of latest resource modification
  `String`
  `getScenarioId()`
  ID of the scenario
  `OffsetDateTime`
  `getStartTimestamp()`
  Timestamp of execution start
  `RTAExecution.StatusEnum`
  `getStatus()`
  Status of the execution
  `String`
  `getStatusMessage()`
  Execution status message
  `OffsetDateTime`
  `getSubmissionTimestamp()`
  Timestamp of execution submission
  `int`
  `hashCode()`
  `RTAExecution`
  `id(String id)`
  Set the id of this `RTAExecution` instance and return the same instance.
  `RTAExecution`
  `modifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `RTAExecution` instance and return the same instance.
  `RTAExecution`
  `scenarioId(String scenarioId)`
  Set the scenarioId of this `RTAExecution` instance and return the same instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `RTAExecution` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RTAExecution` instance.
  `void`
  `setExecutableId(String executableId)`
  Set the executableId of this `RTAExecution` instance.
  `void`
  `setFinishTimestamp(OffsetDateTime finishTimestamp)`
  Set the finishTimestamp of this `RTAExecution` instance.
  `void`
  `setId(String id)`
  Set the id of this `RTAExecution` instance.
  `void`
  `setModifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `RTAExecution` instance.
  `void`
  `setScenarioId(String scenarioId)`
  Set the scenarioId of this `RTAExecution` instance.
  `void`
  `setStartTimestamp(OffsetDateTime startTimestamp)`
  Set the startTimestamp of this `RTAExecution` instance.
  `void`
  `setStatus(RTAExecution.StatusEnum status)`
  Set the status of this `RTAExecution` instance.
  `void`
  `setStatusMessage(String statusMessage)`
  Set the statusMessage of this `RTAExecution` instance.
  `void`
  `setSubmissionTimestamp(OffsetDateTime submissionTimestamp)`
  Set the submissionTimestamp of this `RTAExecution` instance.
  `RTAExecution`
  `startTimestamp(OffsetDateTime startTimestamp)`
  Set the startTimestamp of this `RTAExecution` instance and return the same instance.
  `RTAExecution`
  `status(RTAExecution.StatusEnum status)`
  Set the status of this `RTAExecution` instance and return the same instance.
  `RTAExecution`
  `statusMessage(String statusMessage)`
  Set the statusMessage of this `RTAExecution` instance and return the same instance.
  `RTAExecution`
  `submissionTimestamp(OffsetDateTime submissionTimestamp)`
  Set the submissionTimestamp of this `RTAExecution` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RTAExecution` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RTAExecution

    protected RTAExecution()
    Default constructor for RTAExecution.

- ## Method Details

  - ### scenarioId

    @Nonnull public RTAExecution scenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `RTAExecution` instance and return the same instance.
    Parameters:
      `scenarioId` - ID of the scenario
    Returns:
      The same instance of this `RTAExecution` class

  - ### getScenarioId

    @Nonnull public String getScenarioId()
    ID of the scenario
    Returns:
      scenarioId The scenarioId of this `RTAExecution` instance.

  - ### setScenarioId

    public void setScenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `RTAExecution` instance.
    Parameters:
      `scenarioId` - ID of the scenario

  - ### executableId

    @Nonnull public RTAExecution executableId(@Nonnull String executableId)
    Set the executableId of this `RTAExecution` instance and return the same instance.
    Parameters:
      `executableId` - ID of the executable
    Returns:
      The same instance of this `RTAExecution` class

  - ### getExecutableId

    @Nonnull public String getExecutableId()
    ID of the executable
    Returns:
      executableId The executableId of this `RTAExecution` instance.

  - ### setExecutableId

    public void setExecutableId(@Nonnull String executableId)
    Set the executableId of this `RTAExecution` instance.
    Parameters:
      `executableId` - ID of the executable

  - ### id

    @Nonnull public RTAExecution id(@Nullable String id)
    Set the id of this `RTAExecution` instance and return the same instance.
    Parameters:
      `id` - ID of the execution
    Returns:
      The same instance of this `RTAExecution` class

  - ### getId

    @Nonnull public String getId()
    ID of the execution
    Returns:
      id The id of this `RTAExecution` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `RTAExecution` instance.
    Parameters:
      `id` - ID of the execution

  - ### status

    @Nonnull public RTAExecution status(@Nullable RTAExecution.StatusEnum status)
    Set the status of this `RTAExecution` instance and return the same instance.
    Parameters:
      `status` - Status of the execution
    Returns:
      The same instance of this `RTAExecution` class

  - ### getStatus

    @Nonnull public RTAExecution.StatusEnum getStatus()
    Status of the execution
    Returns:
      status The status of this `RTAExecution` instance.

  - ### setStatus

    public void setStatus(@Nullable RTAExecution.StatusEnum status)
    Set the status of this `RTAExecution` instance.
    Parameters:
      `status` - Status of the execution

  - ### statusMessage

    @Nonnull public RTAExecution statusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `RTAExecution` instance and return the same instance.
    Parameters:
      `statusMessage` - Execution status message
    Returns:
      The same instance of this `RTAExecution` class

  - ### getStatusMessage

    @Nonnull public String getStatusMessage()
    Execution status message
    Returns:
      statusMessage The statusMessage of this `RTAExecution` instance.

  - ### setStatusMessage

    public void setStatusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `RTAExecution` instance.
    Parameters:
      `statusMessage` - Execution status message

  - ### submissionTimestamp

    @Nonnull public RTAExecution submissionTimestamp(@Nullable OffsetDateTime submissionTimestamp)
    Set the submissionTimestamp of this `RTAExecution` instance and return the same instance.
    Parameters:
      `submissionTimestamp` - Timestamp of execution submission
    Returns:
      The same instance of this `RTAExecution` class

  - ### getSubmissionTimestamp

    @Nullable public OffsetDateTime getSubmissionTimestamp()
    Timestamp of execution submission
    Returns:
      submissionTimestamp The submissionTimestamp of this `RTAExecution` instance.

  - ### setSubmissionTimestamp

    public void setSubmissionTimestamp(@Nullable OffsetDateTime submissionTimestamp)
    Set the submissionTimestamp of this `RTAExecution` instance.
    Parameters:
      `submissionTimestamp` - Timestamp of execution submission

  - ### startTimestamp

    @Nonnull public RTAExecution startTimestamp(@Nullable OffsetDateTime startTimestamp)
    Set the startTimestamp of this `RTAExecution` instance and return the same instance.
    Parameters:
      `startTimestamp` - Timestamp of execution start
    Returns:
      The same instance of this `RTAExecution` class

  - ### getStartTimestamp

    @Nullable public OffsetDateTime getStartTimestamp()
    Timestamp of execution start
    Returns:
      startTimestamp The startTimestamp of this `RTAExecution` instance.

  - ### setStartTimestamp

    public void setStartTimestamp(@Nullable OffsetDateTime startTimestamp)
    Set the startTimestamp of this `RTAExecution` instance.
    Parameters:
      `startTimestamp` - Timestamp of execution start

  - ### finishTimestamp

    @Nonnull public RTAExecution finishTimestamp(@Nullable OffsetDateTime finishTimestamp)
    Set the finishTimestamp of this `RTAExecution` instance and return the same instance.
    Parameters:
      `finishTimestamp` - Timestamp of execution finish
    Returns:
      The same instance of this `RTAExecution` class

  - ### getFinishTimestamp

    @Nullable public OffsetDateTime getFinishTimestamp()
    Timestamp of execution finish
    Returns:
      finishTimestamp The finishTimestamp of this `RTAExecution` instance.

  - ### setFinishTimestamp

    public void setFinishTimestamp(@Nullable OffsetDateTime finishTimestamp)
    Set the finishTimestamp of this `RTAExecution` instance.
    Parameters:
      `finishTimestamp` - Timestamp of execution finish

  - ### createdAt

    @Nonnull public RTAExecution createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `RTAExecution` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource creation
    Returns:
      The same instance of this `RTAExecution` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource creation
    Returns:
      createdAt The createdAt of this `RTAExecution` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `RTAExecution` instance.
    Parameters:
      `createdAt` - Timestamp of resource creation

  - ### modifiedAt

    @Nonnull public RTAExecution modifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `RTAExecution` instance and return the same instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification
    Returns:
      The same instance of this `RTAExecution` class

  - ### getModifiedAt

    @Nonnull public OffsetDateTime getModifiedAt()
    Timestamp of latest resource modification
    Returns:
      modifiedAt The modifiedAt of this `RTAExecution` instance.

  - ### setModifiedAt

    public void setModifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `RTAExecution` instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RTAExecution`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RTAExecution` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RTAExecution` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RTAExecution` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RTAExecution.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `RTAExecution` instance with all required arguments.